List attribution schemas
GET
/api/v1/attribution-schemas
const url = 'https://example.com/api/v1/attribution-schemas?page=1&per_page=10';const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request GET \ --url 'https://example.com/api/v1/attribution-schemas?page=1&per_page=10' \ --header 'Authorization: Bearer <token>'Authorizations
Section titled “Authorizations ”Parameters
Section titled “ Parameters ”Query Parameters
Section titled “Query Parameters ” ids
Array<string>
Filter by attribution schema IDs
customer_ids
Array<string>
Filter by customer IDs
workspace_ids
Array<string>
Filter by workspace IDs
name
string
Filter by schema name (case-insensitive substring match)
page
integer
Page number for pagination (default: 1)
per_page
integer
Number of items per page for pagination (default: 10)
Responses
Section titled “ Responses ”OK
Media type application/json
object
attribution_schemas
required
Array<object>
object
id
required
string format: uuid
name
required
string
customer_id
required
string format: uuid
workspace_id
required
string format: uuid
properties
required
Array
One of: discriminator: type
object
name
required
string
type
required
string
required
required
boolean
default
string
object
name
required
string
type
required
string
required
required
boolean
default
number
object
name
required
string
type
required
string
required
required
boolean
default
boolean
total
required
Total number of attribution schemas matching the query
integer
page
required
Current page number
integer
per_page
required
Number of attribution schemas returned per page
integer
Example
{ "attribution_schemas": [ { "properties": [ { "type": "string" } ] } ]}Unauthorized
Media type application/json
object
error_code
required
string
message
required
string
Example
{ "error_code": "UNAUTHORIZED", "message": "Authentication credentials were not provided or are invalid."}Internal server error
Media type application/json
object
error_code
required
string
message
required
string
Example
{ "error_code": "UNAUTHORIZED", "message": "Authentication credentials were not provided or are invalid."}